Skip to main content
POST
/
v1
/
sign_up
Sign up a new Payt account
curl --request POST \
  --url https://api.paytsoftware.com/v1/sign_up \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'administration%5Bcity%5D=<string>' \
  --data-urlencode 'administration%5Bcommercial_registration_number%5D=<string>' \
  --data-urlencode 'administration%5Bcountry_code%5D=<string>' \
  --data-urlencode 'administration%5Bemail_address%5D=<string>' \
  --data-urlencode 'administration%5Bhouse_number%5D=<string>' \
  --data-urlencode 'administration%5Bname%5D=<string>' \
  --data-urlencode 'administration%5Bphone_number%5D=<string>' \
  --data-urlencode 'administration%5Bpostal_code%5D=<string>' \
  --data-urlencode 'administration%5Bstreet_name%5D=<string>' \
  --data-urlencode 'user%5Bfirst_name%5D=<string>' \
  --data-urlencode 'user%5Blast_name%5D=<string>' \
  --data-urlencode 'user%5Bemail_address%5D=<string>' \
  --data-urlencode 'connection%5Bresource_label%5D=<string>' \
  --data-urlencode 'connection%5Bresource_identifier%5D=<string>' \
  --data-urlencode 'administration%5Bsender_email_address%5D=<string>' \
  --data-urlencode 'administration%5Bbank_account_bic%5D=<string>' \
  --data-urlencode 'administration%5Bbank_account_name%5D=<string>' \
  --data-urlencode 'administration%5Bbank_account_number%5D=<string>' \
  --data-urlencode 'administration%5Bcontact_name%5D=<string>' \
  --data-urlencode administration%5Bcurrency_code%5D=EUR \
  --data-urlencode administration%5Btimezone%5D=Europe/Amsterdam \
  --data-urlencode 'administration%5Bvat_number%5D=<string>' \
  --data-urlencode user%5Blocale%5D=en-GB \
  --data-urlencode 'connection%5Bcredentials_label%5D=<string>'
{
  "administration": {
    "id": "<string>",
    "name": "<string>",
    "email_address": "<string>",
    "contact_name": "<string>",
    "commercial_registration_number": "<string>",
    "country_code": "<string>",
    "city": "<string>",
    "house_number": "<string>",
    "internal_name": "<string>",
    "street_name": "<string>",
    "postal_code": "<string>",
    "bank_account_name": "<string>",
    "bank_account_number": "<string>",
    "bank_account_bic": "<string>",
    "vat_number": "<string>",
    "timezone": "<string>",
    "currency_code": "<string>",
    "administration_url": "<string>",
    "paused_at": "2023-11-07T05:31:56Z",
    "reminding_paused_at": "2023-11-07T05:31:56Z",
    "import_origin_identifier": "<string>",
    "last_successful_import_at": "2023-11-07T05:31:56Z"
  },
  "company": {
    "id": "<string>",
    "name": "<string>",
    "trial_ends_on": "<string>",
    "trial": true
  },
  "user": {
    "id": "<string>",
    "name": "<string>",
    "email_address": "<string>",
    "sign_up_token": "<string>",
    "sign_up_url": "<string>"
  },
  "access_grant": {
    "code": "<string>",
    "expires_in": 123,
    "created_at": "<string>",
    "grant_type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Body

application/x-www-form-urlencoded
administration[city]
string
required

Part of the administration address

administration[commercial_registration_number]
string
required

Offical national commercial registration number

administration[country_code]
string
required

ISO 3166 Alpha-2 country code, Part of the administration address

administration[email_address]
string
required

Email address of the administration

administration[house_number]
string
required

Part of the administration address

administration[name]
string
required

Name of the administration

administration[phone_number]
string
required

Phone number of the administration

administration[postal_code]
string
required

Part of the administration address

administration[street_name]
string
required

Part of the administration address

user[first_name]
string
required

First name of the user

user[last_name]
string
required

Last name of the user

user[email_address]
string
required

Email address the user will use to login into Payt

connection[resource_label]
string
required

Description of the resource in your app with which the administration is connected. This can be a code, name or combination thereof. It should be uniquely recognizable for the enduser.

connection[resource_identifier]
string
required

The unique identifier of the connected resource. This identifier will be used to query your API.

administration[sender_email_address]
string

Sender email address which will be used for outgoing communication

administration[bank_account_bic]
string

BIC of the bank. The BIC must match the bank_account_number. If it is not then the bank_account properties will be ignored.

administration[bank_account_name]
string

Name of the bank account holder. The name must be as it is registered by the bank. If it is not then the bank_account properties will be ignored.

administration[bank_account_number]
string

Number of the bank account. This must be an existing organizational bank account. If it is not then the bank_account properties will be ignored.

administration[contact_name]
string

The name of the contact person for this administration

administration[currency_code]
string
default:EUR

The accounting or reporting currency, ISO 4217

administration[timezone]
string
default:Europe/Amsterdam

Timezone in which the administration primarily operates, canonical tz name

administration[vat_number]
string

VAT number of the administration

user[locale]
string
default:en-GB

Locale in which the user will use Payt, 'ISO 639-1' + 'ISO 3166 Alpha-2 country code' (nl|de|en-GB|es|fr|nl-BE).

connection[credentials_label]
string

Description of the owner of the credentials. This can be a code, number or name and should be uniquely recognizable by the enduser. This field becomes required if the credentials owner is not the resource itself.

Response

Payt account created

CustomerApi_V1_SignUpEntity model

administration
object
required

CustomerApi_V1_AdministrationEntity model

company
object
required

CustomerApi_V1_CompanyEntity model

user
object
required
access_grant
object
required
Last modified on June 12, 2026